Package org.wildfly.plugin.server

## Class StartJarMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.wildfly.plugin.common.AbstractServerConnection
    - - org.wildfly.plugin.server.AbstractStartMojo
      - - org.wildfly.plugin.server.StartJarMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="start-jar",
            requiresDependencyResolution=RUNTIME)
      public class StartJarMojo
      extends AbstractStartMojo

  Starts a WildFly Application Server packaged as Bootable JAR.

  The purpose of this goal is to start a WildFly Application Server packaged as a Bootable JAR for testing during the maven lifecycle.
  Since:
    5.0

- - ### Field Summary

    - ### Fields inherited from class org.wildfly.plugin.server.AbstractStartMojo

      `debug, debugHost, debugPort, debugSuspend, javaHome, javaOpts, mavenRepoManager, mavenSession, project, propertiesFile, repositories, repoSystem, serverArgs, serverManager, session, skip`

    - ### Fields inherited from class org.wildfly.plugin.common.AbstractServerConnection

      `DEBUG_MESSAGE_NO_CREDS, DEBUG_MESSAGE_NO_ID, DEBUG_MESSAGE_NO_SERVER_SECTION, DEBUG_MESSAGE_NO_SETTINGS_FILE, DEBUG_MESSAGE_POM_HAS_CREDS, DEBUG_MESSAGE_SETTINGS_HAS_CREDS, DEBUG_MESSAGE_SETTINGS_HAS_ID, timeout`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StartJarMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.wildfly.core.launcher.CommandBuilder` | `createCommandBuilder​(Path server)` |
    `void` | `execute()` |
    `protected Path` | `getServerHome()` |
    `String` | `goal()` | The goal of the deployment.
    `protected StandardOutput` | `standardOutput()` |

    - ### Methods inherited from class org.wildfly.plugin.server.AbstractStartMojo

      `actOnServerState, createMavenRepoManager, getManagementHostName, getManagementPort, init, setJavaOpts, startServer`

    - ### Methods inherited from class org.wildfly.plugin.common.AbstractServerConnection

      `createClient, getClientConfiguration`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartJarMojo

          public StartJarMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`

    - #### createCommandBuilder

          protected org.wildfly.core.launcher.CommandBuilder createCommandBuilder​(Path server)
                                                                           throws org.apache.maven.plugin.MojoExecutionException

      Specified by:
        `createCommandBuilder` in class `AbstractStartMojo`
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### standardOutput

          protected StandardOutput standardOutput()
                                           throws IOException

      Overrides:
        `standardOutput` in class `AbstractStartMojo`
      Throws:
        `IOException`

    - #### goal

          public String goal()

      Description copied from class: `AbstractServerConnection`
      The goal of the deployment.
      Specified by:
        `goal` in class `AbstractServerConnection`
      Returns:
        the goal of the deployment.

    - #### getServerHome

          protected Path getServerHome()
                                throws org.apache.maven.plugin.MojoExecutionException,
                                       org.apache.maven.plugin.MojoFailureException

      Specified by:
        `getServerHome` in class `AbstractStartMojo`
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`